# HwpScriptToLatex

아래아 한글의 수식 문법을 LaTeX로 변환합니다.

## Installation

Bundler를 사용할 경우 Gemfile에 다음 줄을 추가합니다.

```ruby
gem 'hwp_script_to_latex'
```

그리고 다음 명령을 실행합니다.

```bash
$ bundle
```

혹은 다음 명령으로 직접 젬을 설치할 수 있습니다.

```bash
gem install hwp_script_to_latex
```

## Usage

### HWP script to LaTeX

아래아 한글의 수식 문법으로 작성된 수식을 LaTeX 문법으로 변환해주는 기능입니다.

```bash
$ hwp_script_to_latex -s [script]
```

예를 들어 다음과 같이 사용할 수 있습니다.

```bash
$ hwp_script_to_latex -s "{5} over {x _{3}}"
=> \frac {5}{x _{3}} 
```

mathmode 옵션으로 출력값의 시작과 끝에 `$` 문자를 붙일 수 있습니다.

```bash
$ hwp_script_to_latex -s "{5} over {x _{3}}" -m
=>$ \frac {5}{x _{3}} $
```

## License

[MIT License](http://opensource.org/licenses/MIT)

